Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 707422

Summary: net-misc/quagga-1.2.4 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Sergey Popov <pinkbyte>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
net-misc:quagga-1.2.4:20200130-015107.log
temp.tbz2

Description Toralf Förster gentoo-dev 2020-01-30 19:09:44 UTC
   21 | #warning "The <sys/sysctl.h> header is deprecated and will be removed."
      |  ^~~~~~~
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -fno-strict-aliasing -version-info 1:0:0  -Wl,-O1 -Wl,--as-needed -o libzebra.la -rpath /usr/lib64 network.lo pid_output.lo getopt.lo getopt1.lo daemon.lo checksum.lo vector.lo linklist.lo vty.lo command.lo sockunion.lo prefix.lo thread.lo if.lo memory.lo buffer.lo table.lo hash.lo filter.lo routemap.lo distribute.lo stream.lo str.lo log.lo plist.lo zclient.lo sockopt.lo smux.lo agentx.lo snmp.lo md5.lo if_rmap.lo keychain.lo privs.lo sigevent.lo pqueue.lo jhash.lo memtypes.lo workqueue.lo vrf.lo event_counter.lo nexthop.lo  -lcrypt  -lrt
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/network.o .libs/pid_output.o .libs/getopt.o .libs/getopt1.o .libs/daemon.o .libs/checksum.o .libs/vector.o .libs/linklist.o .libs/vty.o .libs/command.o .libs/sockunion.o .libs/prefix.o .libs/thread.o .libs/if.o .libs/memory.o .libs/buffer.o .libs/table.o .libs/hash.o .libs/filter.o .libs/routemap.o .libs/distribute.o .libs/stream.o .libs/str.o .libs/log.o .libs/plist.o .libs/zclient.o .libs/sockopt.o .libs/smux.o .libs/agentx.o .libs/snmp.o .libs/md5.o .libs/if_rmap.o .libs/keychain.o .libs/privs.o .libs/sigevent.o .libs/pqueue.o .libs/jhash.o .libs/memtypes.o .libs/workqueue.o .libs/vrf.o .libs/event_counter.o .libs/nexthop.o   -Wl,--as-needed -lcrypt -lrt  -O2 -march=native -Wl,-O1   -Wl,-soname -Wl,libzebra.so.1 -o .libs/libzebra.so.1.0.0
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/sockunion.o:(.bss+0x0): multiple definition of `__packed'; .libs/vty.o:(.bss+0x8): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/prefix.o:(.bss+0x0): multiple definition of `__packed'; .libs/vty.o:(.bss+0x8): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
Available Java Virtual Machines:
  (none found)
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 00:46:24 +0000

emerge -qpvO net-misc/quagga
[ebuild  N    ] net-misc/quagga-1.2.4  USE="ipv6 pam readline test -bgpclassless -caps -doc -fpm -multipath -nhrpd -ospfapi -protobuf -snmp -tcp-zebra"
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:09:48 UTC
Created attachment 608808 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:09:51 UTC
Created attachment 608810 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:09:54 UTC
Created attachment 608812 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:09:57 UTC
Created attachment 608814 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:10:00 UTC
Created attachment 608816 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:10:04 UTC
Created attachment 608818 [details]
net-misc:quagga-1.2.4:20200130-015107.log
Comment 7 Toralf Förster gentoo-dev 2020-01-30 19:10:06 UTC
Created attachment 608820 [details]
temp.tbz2
Comment 8 Sergey Popov gentoo-dev 2020-03-08 16:37:28 UTC
I will add -fcommon to flags, cause literally every daemon header should be rewritten to properly fix this, it is definitely upstream task, not maintainer's
Comment 9 Larry the Git Cow gentoo-dev 2020-03-08 16:37:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f52c175afde0e0de825829deb76a381a5db54725

commit f52c175afde0e0de825829deb76a381a5db54725
Author:     Sergey Popov <pinkbyte@gentoo.org>
AuthorDate: 2020-03-08 16:35:46 +0000
Commit:     Sergey Popov <pinkbyte@gentoo.org>
CommitDate: 2020-03-08 16:35:46 +0000

    net-misc/quagga: workaround for building with gcc-10
    
    Closes: https://bugs.gentoo.org/707422
    Signed-off-by: Sergey Popov <pinkbyte@gentoo.org>
    Package-Manager: Portage-2.3.89, Repoman-2.3.11

 net-misc/quagga/quagga-1.2.4.ebuild | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)